
Ruby - Bug #4639

net http segmentation fault in ruby 1.9.2-head/1.9.2-p180

05/02/2011 03:43 PM - corroded (Eumir Gaspar)

Status: Rejected   

Priority: Normal   

Assignee: nahi (Hiroshi Nakamura)   

Target version: 1.9.3   

ruby -v: ruby 1.9.2dev (2010-07-15 revision

28653) [x86_64-darwin10]

Backport:  

Description

I got a segmentation fault while running activemerchant in ruby 1.9.2 which i just got only now. It has been working like a charm way

before and my guess is that this is related to my recent upgrade to Mac OSX version 10.6.7. but i wouldn't really know. Anyway here

is the stacktrace:

*NOTE: i have also tried this in 1.9.2-p180 and it gives me the same thing. I've first checked in active merchant google groups and I

saw that they said its a ruby 1.9 thing rather than activemerchant.

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:677: [BUG] Segmentation fault

ruby 1.9.2dev (2010-07-15 revision 28653) [x86_64-darwin10]

-- control frame ----------

c:0086 p:---- s:0480 b:0480 l:000479 d:000479 CFUNC  :connect

c:0085 p:0440 s:0477 b:0477 l:001548 d:001548 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:677

c:0084 p:0011 s:0470 b:0470 l:000469 d:000469 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:637

c:0083 p:0048 s:0467 b:0467 l:000466 d:000466 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:626

c:0082 p:0025 s:0464 b:0464 l:000463 d:000463 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:1160

c:0081 p:0041 s:0457 b:0457 l:0008d8 d:0008d8 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:970

c:0080 p:0191 s:0448 b:0448 l:0026f0 d:000447 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/common/connection.rb:67

c:0079 p:0024 s:0446 b:0446 l:000445 d:000445 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/benchmark.rb:309

c:0078 p:0068 s:0440 b:0440 l:0026f0 d:0015a0 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/common/connection.rb:60

c:0077 p:0020 s:0435 b:0435 l:000434 d:000434 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/common/connection.rb:137

c:0076 p:0015 s:0430 b:0430 l:0026f0 d:0026f0 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/common/connection.rb:54

c:0075 p:0219 s:0424 b:0424 l:000423 d:000423 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active
_merchant/common/posts_data.rb:46

c:0074 p:0020 s:0416 b:0415 l:000414 d:000414 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/common/posts_data.rb:30

c:0073 p:0023 s:0408 b:0408 l:000407 d:000407 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/common/posts_data.rb:26

c:0072 p:0111 s:0402 b:0402 l:000401 d:000401 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/billing/gateways/authorize_net.rb:2

c:0071 p:0095 s:0391 b:0391 l:000390 d:000390 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active

_merchant/billing/gateways/authorize_net.rb:1

c:0070 p:0020 s:0384 b:0384 l:000372 d:000383 BLOCK 

/Users/eumir/rails_apps/evo-lux/app/models/order_transaction.rb:37

c:0069 p:0062 s:0381 b:0381 l:000380 d:000380 METHOD

/Users/eumir/rails_apps/evo-lux/app/models/order_transaction.rb:48

c:0068 p:0019 s:0373 b:0373 l:000372 d:000372 METHOD

/Users/eumir/rails_apps/evo-lux/app/models/order_transaction.rb:36

c:0067 p:0097 s:0367 b:0367 l:000366 d:000366 METHOD

/Users/eumir/rails_apps/evo-lux/app/controllers/order_transactions_controller.rb:15

c:0066 p:0012 s:0361 b:0361 l:000360 d:000360 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal/implicit_render.rb:4

c:0065 p:0015 s:0356 b:0356 l:000355 d:000355 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_

controller/base.rb:151

c:0064 p:0041 s:0351 b:0351 l:000350 d:000350 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal/rendering.rb:11

c:0063 p:0010 s:0347 b:0347 l:001190 d:000346 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_

controller/callbacks.rb:18

c:0062 p:0093 s:0345 b:0345 l:000344 d:000344 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/callbacks.rb:440

c:0061 p:0113 s:0339 b:0339 l:000338 d:000338 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/callbacks.rb:409

c:0060 p:0024 s:0330 b:0330 l:000329 d:000329 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/callbacks.rb:93

c:0059 p:0015 s:0324 b:0324 l:001190 d:001190 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_

controller/callbacks.rb:17

c:0058 p:0012 s:0320 b:0320 l:000301 d:000319 BLOCK 
/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal/instrumentation.rb:30

c:0057 p:0017 s:0316 b:0316 l:000306 d:000315 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/notifications.rb:52

c:0056 p:0032 s:0314 b:0314 l:000313 d:000313 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/notifications/instrumenter.rb:21

c:0055 p:0036 s:0307 b:0307 l:000306 d:000306 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/notifications.rb:52

c:0054 p:0152 s:0302 b:0302 l:000301 d:000301 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal/instrumentation.rb:29

c:0053 p:0012 s:0296 b:0296 l:000295 d:000295 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal/rescue.rb:17

c:0052 p:0093 s:0291 b:0291 l:000290 d:000290 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_

controller/base.rb:120

c:0051 p:0084 s:0285 b:0285 l:000284 d:000284 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_

controller/rendering.rb:40

c:0050 p:0048 s:0280 b:0280 l:000279 d:000279 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal.rb:138

c:0049 p:0086 s:0275 b:0275 l:000274 d:000274 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal/rack_delegation.rb:14

c:0048 p:0030 s:0269 b:0269 l:0013f8 d:000268 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_co

ntroller/metal.rb:178

c:0047 p:---- s:0266 b:0266 l:000265 d:000265 FINISH

c:0046 p:---- s:0264 b:0264 l:000263 d:000263 CFUNC  :call

c:0045 p:0022 s:0260 b:0260 l:000259 d:000259 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/routing/route_set.rb:62

c:0044 p:0094 s:0254 b:0254 l:000253 d:000253 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/routing/route_set.rb:27

c:0043 p:0097 s:0248 b:0248 l:000220 d:000247 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mo

unt/route_set.rb:148

c:0042 p:0014 s:0242 b:0242 l:000226 d:000241 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mo

unt/code_generation.rb:93

07/17/2025 3/8



c:0041 p:0356 s:0237 b:0237 l:000236 d:000236 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mo

unt/code_generation.rb:75

c:0040 p:0198 s:0227 b:0227 l:000226 d:000226 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mo

unt/code_generation.rb:92

c:0039 p:0092 s:0221 b:0221 l:000220 d:000220 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mo

unt/route_set.rb:139

c:0038 p:0025 s:0215 b:0215 l:000214 d:000214 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/routing/route_set.rb:492

c:0037 p:0033 s:0211 b:0211 l:000210 d:000210 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/haml-3.0.25/lib/sass/plugin/rac

k.rb:41

c:0036 p:0015 s:0207 b:0207 l:000206 d:000206 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/best_standards_support.rb:17

c:0035 p:0093 s:0200 b:0200 l:000199 d:000199 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/head.rb:14

c:0034 p:0155 s:0193 b:0193 l:000192 d:000192 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/methodover

ride.rb:24

c:0033 p:0046 s:0187 b:0187 l:000186 d:000186 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/params_parser.rb:21

c:0032 p:0054 s:0182 b:0182 l:000181 d:000181 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/flash.rb:182

c:0031 p:0027 s:0175 b:0175 l:000174 d:000174 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/session/abstract_store.rb:14

c:0030 p:0015 s:0164 b:0164 l:000163 d:000163 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/cookies.rb:295

c:0029 p:0014 s:0156 b:0156 l:001570 d:000155 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_r

ecord/query_cache.rb:32

c:0028 p:0019 s:0154 b:0154 l:000153 d:000153 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_r

ecord/connection_adapters/abstract/query_cach

c:0027 p:0051 s:0150 b:0150 l:000149 d:000149 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_r

ecord/query_cache.rb:12

c:0026 p:0019 s:0146 b:0146 l:001570 d:001570 METHOD
/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_r

ecord/query_cache.rb:31

c:0025 p:0015 s:0142 b:0142 l:000141 d:000141 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_r

ecord/connection_adapters/abstract/connection

c:0024 p:0029 s:0138 b:0138 l:002670 d:000137 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/callbacks.rb:46

c:0023 p:0155 s:0136 b:0136 l:000135 d:000135 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/callbacks.rb:415

c:0022 p:0011 s:0126 b:0126 l:002670 d:002670 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/callbacks.rb:44

c:0021 p:0015 s:0122 b:0122 l:000121 d:000121 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/sendfile.rb:

107

c:0020 p:0049 s:0112 b:0112 l:000111 d:000111 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/remote_ip.rb:48

c:0019 p:0015 s:0108 b:0108 l:000107 d:000107 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/show_exceptions.rb:46

c:0018 p:0027 s:0100 b:0100 l:000099 d:000099 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/rack/logg

er.rb:13

c:0017 p:0032 s:0096 b:0096 l:000095 d:000095 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/runtime.rb:

17

c:0016 p:0052 s:0087 b:0087 l:000086 d:000086 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_

support/cache/strategy/local_cache.rb:72

c:0015 p:0014 s:0083 b:0083 l:000077 d:000082 BLOCK 

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/lock.rb:11

c:0014 p:0019 s:0081 b:0081 l:000080 d:000080 METHOD internal:prelude:10

c:0013 p:0054 s:0078 b:0078 l:000077 d:000077 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/lock.rb:11

c:0012 p:0193 s:0073 b:0073 l:000072 d:000072 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dis

patch/middleware/static.rb:30

c:0011 p:0032 s:0066 b:0066 l:000065 d:000065 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/applicati

on.rb:168

c:0010 p:0021 s:0062 b:0062 l:000061 d:000061 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/applicati

on.rb:77
c:0009 p:---- s:0057 b:0057 l:000056 d:000056 FINISH

c:0008 p:0015 s:0055 b:0055 l:000054 d:000054 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/rack/log_

tailer.rb:14

c:0007 p:0015 s:0050 b:0050 l:000049 d:000049 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/content_len

gth.rb:13

c:0006 p:0338 s:0042 b:0042 l:000041 d:000041 METHOD

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/handler/we

brick.rb:52

c:0005 p:0257 s:0030 b:0030 l:000029 d:000029 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/webrick/httpserver.rb:111

c:0004 p:0393 s:0020 b:0020 l:000019 d:000019 METHOD

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/webrick/httpserver.rb:70

c:0003 p:0126 s:0009 b:0009 l:001ed8 d:000008 BLOCK 

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/webrick/server.rb:183

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:---- s:0002 b:0002 l:000001 d:000001 TOP

-- Ruby level backtrace information ----------------------------------------

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/webrick/server.rb:183:in block in start_thread'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/webrick/httpserver.rb:70:in run'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/webrick/httpserver.rb:111:in service'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/handler/webrick.rb:52:in service'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/content_length.rb:13:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/rack/log_tailer.rb:14:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/application.rb:77:in method_missing'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/application.rb:168:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/static.rb:30:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/lock.rb:11:in call'

internal:prelude:10:in synchronize' /Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/lock.rb:11:in block in

call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/cache/strategy/local_cache.rb:72:in

call' /Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/runtime.rb:17:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/railties-3.0.3/lib/rails/rack/logger.rb:13:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/show_exceptions.rb:46:in

call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/remote_ip.rb:48:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/sendfile.rb:107:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/callbacks.rb:44:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/callbacks.rb:415:in

_run_call_callbacks'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/callbacks.rb:46:in block in

call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_record/connection_adapters/abstract/connectio

n_pool.rb:353:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_record/query_cache.rb:31:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_record/query_cache.rb:12:in cache'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_record/connection_adapters/abstract/query_cac

he.rb:28:in cache' /Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activerecord-3.0.3/lib/active_record/query_cache.rb:32:in

block in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/cookies.rb:295:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/session/abstract_store.rb:1

49:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/flash.rb:182:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/params_parser.rb:21:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-1.2.1/lib/rack/methodoverride.rb:24:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/head.rb:14:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/middleware/best_standards_support.rb:
17:in call' /Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/haml-3.0.25/lib/sass/plugin/rack.rb:41:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/routing/route_set.rb:492:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mount/route_set.rb:139:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mount/code_generation.rb:92:in recognize'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mount/code_generation.rb:75:in optimized_each'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mount/code_generation.rb:93:in block in

recognize' /Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/rack-mount-0.6.13/lib/rack/mount/route_set.rb:148:in block in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/routing/route_set.rb:27:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/routing/route_set.rb:62:in dispatch'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_dispatch/routing/route_set.rb:62:in call'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal.rb:178:in block in action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal/rack_delegation.rb:14:in

dispatch' /Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal.rb:138:in dispatch'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_controller/rendering.rb:40:in process'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_controller/base.rb:120:in process'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal/rescue.rb:17:in process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal/instrumentation.rb:29:in

process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/notifications.rb:52:in instrument'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/notifications/instrumenter.rb:21:in

instrument'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/notifications.rb:52:in block in

instrument'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal/instrumentation.rb:30:in block in

process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_controller/callbacks.rb:17:in process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/callbacks.rb:93:in run_callbacks'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/callbacks.rb:409:in

_run_process_action_callbacks'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activesupport-3.0.3/lib/active_support/callbacks.rb:440:in

_run__3247580580978882748__process_action__4020184838932492025__callbacks'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_controller/callbacks.rb:18:in block in

process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal/rendering.rb:11:in

process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/abstract_controller/base.rb:151:in process_action'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/actionpack-3.0.3/lib/action_controller/metal/implicit_render.rb:4:in

send_action'

/Users/eumir/rails_apps/evo-lux/app/controllers/order_transactions_controller.rb:15:in create'

/Users/eumir/rails_apps/evo-lux/app/models/order_transaction.rb:36:in purchase'

/Users/eumir/rails_apps/evo-lux/app/models/order_transaction.rb:48:in process'

/Users/eumir/rails_apps/evo-lux/app/models/order_transaction.rb:37:in block in purchase'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/billing/gateways/authorize_net.rb:1

11:in purchase'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/billing/gateways/authorize_net.rb:2

38:in commit'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/posts_data.rb:26:in

ssl_post'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/posts_data.rb:30:in

ssl_request'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/posts_data.rb:46:in

raw_ssl_request'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/connection.rb:54:in

request'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/connection.rb:137:in

retry_exceptions'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/connection.rb:60:in block

in request'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/benchmark.rb:309:in realtime'

/Users/eumir/.rvm/gems/ruby-1.9.2-head@evolux/gems/activemerchant-1.9.3/lib/active_merchant/common/connection.rb:67:in block

(2 levels) in request'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:970:in post'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:1160:in request'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:626:in start'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:637:in do_start'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:677:in connect'

/Users/eumir/.rvm/rubies/ruby-1.9.2-head/lib/ruby/1.9.1/net/http.rb:677:in connect'
-- C level backtrace information -------------------------------------------

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

Abort trap

Related issues:

Is duplicate of Ruby - Bug #4611: [BUG] Segementation fault reported Closed

History

#1 - 05/06/2011 03:34 PM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

Can you show a reproducible code?

#2 - 07/25/2011 07:08 PM - nahi (Hiroshi Nakamura)

- Category set to core

- Status changed from Feedback to Assigned

- Assignee set to nahi (Hiroshi Nakamura)

- Target version set to 1.9.3

#3 - 07/25/2011 07:36 PM - nahi (Hiroshi Nakamura)

- Status changed from Assigned to Rejected

The stacktrace looks quite similar to #4611. I close this as duplicate of #4611. Please see #4611 and let us know if it's not the same issue. Thanks!
